Skip to main content
GET
/
v1
/
post-generation
/
{id}
Get a post generation job by ID
curl --request GET \
  --url https://api.yalg.ai/v1/post-generation/{id} \
  --header 'x-api-key: <api-key>'
{
  "id": "018f9f49-1a5b-762a-a8d8-d6bb02a9f7f9",
  "anecdoteId": "018f9f41-22a1-74bb-9450-7dd0d21ab8ab",
  "status": "completed",
  "currentStep": "post_draft",
  "qualityScore": 0.91,
  "riskLevel": "low",
  "warnings": [],
  "totalTokensUsed": 1284,
  "createdAt": "2026-06-20T17:24:39.000Z",
  "updatedAt": "2026-06-20T17:24:39.000Z"
}

Authorizations

x-api-key
string
header
default:yalg_live_your_api_key
required

YALG Developer API key. Send it in the x-api-key header from a server-side environment only.

Path Parameters

id
string
required

Resource identifier.

Example:

"018f9f40-7d7b-7712-9b0f-2e5d9fd5df3f"

Response

Post generation job details

AI job that turns an anecdote into a post draft.

id
string<uuid>

Job identifier.

Example:

"018f9f40-7d7b-7712-9b0f-2e5d9fd5df3f"

status
string
Example:

"pending"

currentStep
string
Example:

"draft_generation"

qualityScore
number
Example:

0.91

riskLevel
string
Example:

"low"

warnings
string[]
totalTokensUsed
integer
Example:

1284

startedAt
string<date-time>
Example:

"2026-06-20T17:24:39.000Z"

completedAt
string<date-time>
Example:

"2026-06-20T17:24:39.000Z"

createdAt
string<date-time>
Example:

"2026-06-20T17:24:39.000Z"

updatedAt
string<date-time>
Example:

"2026-06-20T17:24:39.000Z"

anecdoteId
string<uuid>

Source anecdote identifier.

Example:

"018f9f40-7d7b-7712-9b0f-2e5d9fd5df3f"

resultingPostId
string<uuid>

Generated post identifier, when created.

Example:

"018f9f40-7d7b-7712-9b0f-2e5d9fd5df3f"